local function drawFPS()
	love.graphics.setColor(1, 1, 1) -- RGB values for white are (1, 1, 1)
	love.graphics.setFont(DebugFont)
	love.graphics.print("FPS: " .. love.timer.getFPS(), 1520, 10)
end

local function drawHealth()
	love.graphics.setFont(GameFont)
	local height = love.graphics.getHeight() / _G.Y_SCALE
	local width = love.graphics.getWidth() / _G.X_SCALE
	love.graphics.print("P1:" .. UserPlayer1.health, 5, 5)
	love.graphics.print("P2:" .. UserPlayer2.health, width - 200, height - 95)
end

function DrawGame()
	local curWidth, curHeight = love.graphics.getDimensions()
	love.graphics.scale(_G.X_SCALE, _G.Y_SCALE)

	GameMap:draw(0, 0, _G.X_SCALE, _G.Y_SCALE)
	GameMap:resize(curWidth / _G.X_SCALE, curHeight / _G.Y_SCALE)

	-- WindField
	if DebugFlag then
		World:draw()
		drawFPS()
	end

	-- Bullets
	for _, v in ipairs(Bullets1) do
		v:draw()
	end
	for _, v in ipairs(Bullets2) do
		v:draw()
	end

	-- PowerUps
	for _, v in ipairs(PowerUps) do
		v:draw()
	end

	UserPlayer1:draw()
	UserPlayer2:draw()

	--Draw Health
	--TODO: make this nicer looking
	drawHealth()

	--TODO: draw running score
	--drawScore()
end
